Package: org.grails.buffer

## [Java] Class StreamCharBuffer.AbstractChunk

- org.grails.buffer.StreamCharBuffer.AbstractChunk

- All Implemented Interfaces and Traits:
    StreamEncodeable, StreamingEncoderWritable

      abstract class StreamCharBuffer.AbstractChunk

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `EncodingState` | `encodingState` |
    `AbstractChunk` | `next` |
    `AbstractChunk` | `prev` |
    `int` | `writerUsedCounter` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractChunk ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public abstract ChunkReader` | `getChunkReader(boolean removeAfterReading)`
    `` | `public EncodingState` | `getEncodingState()`
    `` | `public int` | `getWriterUsedCounter()`
    `` | `public void` | `setEncodingState(EncodingState encodingState)`
    `` | `public abstract int` | `size()`
    `` | `public void` | `subtractFromTotalCount()`
    `` | `public abstract void` | `writeTo(java.io.Writer target)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### EncodingState encodingState

    - #### AbstractChunk next

    - #### AbstractChunk prev

    - #### int writerUsedCounter

  - ### Constructor Detail

    - #### public AbstractChunk()

  - ### Method Detail

    - #### public abstract ChunkReader getChunkReader(boolean removeAfterReading)

    - #### public EncodingState getEncodingState()

    - #### public int getWriterUsedCounter()

    - #### public void setEncodingState(EncodingState encodingState)

    - #### public abstract int size()

    - #### public void subtractFromTotalCount()

    - #### public abstract void writeTo(java.io.Writer target)